Content API for Shopping からコンバージョンの発生元の管理を移行する

Merchant Center のコンバージョンの発生元を使用すると、無料リスティングとウェブサイトのコンバージョン データを Merchant Center アカウントで確認できます。Merchant API を使用すると、Merchant Center アカウントのコンバージョンの発生元を管理できます。詳細については、コンバージョンの発生元を管理するをご覧ください。

このページでは、コンバージョンの発生元の管理を Content API から Merchant API に移行する方法について説明します。

リクエスト

コンバージョンの発生元リクエストに関する Content API for Shopping と Merchant Conversion Sources API の比較例を次に示します。

Content API Merchant API
URL GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} GET https://merchantapi.googleapis.com/conversions/v1/{NAME}
識別子 {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME}

メソッド

Conversion Sources API のコンバージョンの発生元メソッドの変更点は次のとおりです。

方法 Content API for Shopping の URL Merchant API の URL Content API for Shopping の ID Merchant API の識別子 説明
create POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources POST https://merchantapi.googleapis.com/conversions/v1/accounts/{PARENT}/conversionSources {MERCHANT_ID} {PARENT} Merchant API では、propertyName は property と呼ばれます。
update PATCH https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} PATCH https://merchantapi.googleapis.com/conversions/v1/accounts/{CONVERSIONSOURCE_NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {CONVERSIONSOURCE_NAME} Merchant API では、destinationId は destination と呼ばれます。
delete DELETE https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} DELETE https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} Merchant API では、attributionLookbackWindowInDays は attributionLookbackWindowDays と呼ばれます。
Merchant API では、includeInReporting は report と呼ばれます。
undelete POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}:undelete POST https://merchantapi.googleapis.com/conversions/v1/accounts/{name}:undelete {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} Merchant API では URL と ID が異なります。
Conversion Sources API は Empty ではなく ConversionSource を返します。
get GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} GET https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} Merchant API では URL と ID が異なります。
list GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources GET https://merchantapi.googleapis.com/conversions/v1/{PARENT}/conversionSources {MERCHANT_ID} {PARENT} Merchant API では URL と ID が異なります。

リソース

次の表に、Conversion Sources API のコンバージョンの発生元リソースの変更点を示します。

Content API for Shopping Merchant API 説明
googleAnalyticsLink: {

property_id: int64,

attributionSettings: object,

propertyName: string

}

googleAnalyticsLink: {

propertyId: int64,

attributionSettings: object,

property: string

}

Merchant API では、propertyName は property と呼ばれます。
merchantCenterDestination: {

destinationId: string,

attributionSettings: object,

displayName: string,

currencyCode: string

}

merchantCenterDestination: {

destination: string,

attributionSettings: object,

displayName: string,

currencyCode: string

}

Merchant API では、destinationId は destination と呼ばれます。
attributionSettings: {

attributionLookbackWindowDays: int32,

attributionModel: object,

repeated conversionType: {

name: string,

includeInReporting: bool

}

}

attributionSettings: {

attributionLookbackWindowDays: int32,

attributionModel: object,

repeated conversionType: {

name: string,

report: bool

}

}

Merchant API では、attributionLookbackWindowInDays は attributionLookbackWindowDays と呼ばれます。

Merchant API では、includeInReporting は report と呼ばれます。